Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.events
Class KeyEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.swt.internal.SWTEventObject
              org.eclipse.swt.events.TypedEvent
                  org.eclipse.swt.events.KeyEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  TraverseEvent, VerifyEvent

public class KeyEvent
extends TypedEvent

Instances of this class are sent as a result of keys being pressed and released on the keyboard

See Also:
  `KeyListener`, Serialized Form

Field Summary
`char` | `character` the character represented by the key that was typed.
`boolean` | `doit` A flag indicating whether the operation should be allowed.
`int` | `keyCode` the key code of the key that was typed, as defined by the key code constants in class `SWT`.
`int` | `stateMask` the state of the keyboard modifier keys at the time the event was generated

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, time, widget`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`KeyEvent(Event e)` Constructs a new instance of this class based on the information in the given untyped event.

Method Summary
`String` | `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### character

    public char character

  the character represented by the key that was typed. This is the final character that results after all modifiers have been applied. For example, when the user types Ctrl+A, the character value is 0x01. It is important that applications do not attempt to modify the character value based on a stateMask (such as SWT.CTRL) or the resulting character will not be correct.

### keyCode

    public int keyCode

  the key code of the key that was typed, as defined by the key code constants in class `SWT`. When the character field of the event is ambiguous, this field contains the unicode value of the original character. For example, typing Ctrl+M or Return both result in the character '\r' but the keyCode field will also contain '\r' when Return was typed.

  See Also:
    `SWT`

### stateMask

    public int stateMask

  the state of the keyboard modifier keys at the time the event was generated

### doit

    public boolean doit

  A flag indicating whether the operation should be allowed. Setting this field to `false` will cancel the operation.

Constructor Detail

### KeyEvent

    public KeyEvent(Event e)

  Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `e` - the untyped event containing the information

Method Detail

### toString

    public String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Overrides:
    `toString` in class `TypedEvent`
  Returns:
    a string representation of the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.